## aacgain 1.9

=== debian/changelog ===
aacgain (1.9-5~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop dmo branding.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 06 Jun 2023 16:15:04 -0700

aacgain-dmo (1.9-dmo5) unstable; urgency=medium

  * Revorke source to build with recent gcc.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Apr 2021 14:26:02 +0200

aacgain (1.9-dmo4) unstable; urgency=medium

  * Fix build with GCC 7

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Dec 2017 19:07:29 +0100

aacgain (1.9-dmo3) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 06 Mar 2017 01:10:03 +0100

aacgain (1.9-dmo2) unstable; urgency=medium

  * Build with GCC 5.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Aug 2015 15:33:47 +0200

aacgain (1.9-dmo1) unstable; urgency=low

  * Build with hardened flags.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 20 Jun 2012 16:34:03 +0200

aacgain (1.9-0.2) unstable; urgency=low

  * Fix build with -j make option.

 -- Christian Marillat <marillat@debian.org>  Tue, 10 Jan 2012 17:01:43 +0100

aacgain (1.9-0.1) unstable; urgency=low

  * Build mp4v2 with --disable-optimize for armhf.

 -- Christian Marillat <marillat@debian.org>  Tue, 10 Jan 2012 14:20:17 +0100

aacgain (1.9-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 05 Aug 2010 11:33:31 +0200

aacgain (1.8-0.1) unstable; urgency=low

  * Fix build by removing wrong strcasestr() declaration.
  * Added support for ccache.

 -- Christian Marillat <marillat@debian.org>  Wed, 24 Feb 2010 11:48:54 +0100

aacgain (1.8-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 22 Jun 2009 12:00:29 +0200

aacgain (1.7-0.0) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Tue, 06 Nov 2007 16:01:15 +0100
