=== debian/watch ===
version=3

#opts="uversionmangle=s/_/./" \
#http://www.rarewares.org/files/aac/ aacgain_(.*)\.zip
