## aacgain 2.0.0

=== debian/changelog ===
aacgain (2.0.0-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Remove dmo branding in versions.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 06 Jun 2023 15:36:56 -0700

aacgain-dmo (2.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Mar 2023 09:40:48 +0100
