=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: https://aacgain.altosdesign.com/
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13)
+Homepage: https://github.com/dgilman/aacgain
+Standards-Version: 4.6.2
+Build-Depends: cmake, debhelper-compat (= 12)
 
 Package: aacgain
 Architecture: any
