=== debian/watch ===
version=4

https://github.com/dgilman/aacgain/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
